#!/bin/bash

# apply_overcast.bash
#
# Work out the -s multipliers for pcomb to combine a set of 145
# DC images so they define a 10klx overcast sky
#
# (c) Jan 2010, Axel Jacobs

# Determine zenith brightness for 10klx overcast sky
zenithbr=$(gensky 3 21 10 -c -a 51 -o 0 -m 0 -b 22.86 \
		|rcalc -i '3 2 ${zenithbr} ${groundbr}' -e '$1=zenithbr')

# Path to the patch images
imgpath="images/patches"

for i in $imgpath/*.hdr; do
	# Compute per-image multiplier, based on patch altitude
	multi=$(ls $i \
			|rcalc -i "$imgpath/p\${pnum}.hdr" \
			-f /usr/local/lib/ray/tregsrc.cal \
			-e "Tbin=pnum;\$1=(1+2*sin(Talt))/3*$zenithbr")
	echo -n " -s $multi $i"
done

#EOF
