#!/bin/bash

# apply_tregsamp.bash
#
# Work out the -s multipliers for pcomb from rtrace sky brightness
# measurements using tregsamp.dat
#
# (c) Jan 2010, Axel Jacobs

# Path to the patch images
imgpath="images/patches_illu"

for i in $imgpath/*.hdr; do
	# Scan patch number from file name
	patch=$(ls $i \
			|rcalc -i "$imgpath/p\${pnum}.hdr" \
			-e "\$1=pnum")
	# Get multiplier from dat file, based on record number
	multi=$(cat tmp/skydist.dat \
			|rcalc -e "diff=$patch-recno+1;absdiff=if(diff,diff,-1*diff);\
			\$1=if(absdiff,0,\$1);" |total)
	echo " -s $multi $i"
done

#EOF
